---
lang: en
title: 'API docs: context.bindingelement'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingelement.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingElement](./context.bindingelement.md)

## BindingElement interface

Wrapper for bindings tracked by resolution sessions

**Signature:**

```typescript
export interface BindingElement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [type](./context.bindingelement.type.md) |  | 'binding' |  |
|  [value](./context.bindingelement.value.md) |  | Readonly&lt;[Binding](./context.binding.md)<!-- -->&gt; |  |


